.footer {
  padding: 4rem 35px;
  background-color: #000;

  &__heading {
    @include heading(1rem, #fff);
    margin-bottom: 2.3%;
    text-align: center;
  }

  &__text {
    @include text(1rem, #B9B9B9, 1.75rem);
    margin: 0 auto;
    max-width: 680px;
    text-align: center;
  }

  &__contacts {
    @include text(1rem, #B9B9B9, 1.625rem);
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
  }
}

.social-icons {
  margin: 35px auto;
  display: flex;
  justify-content: center;
}

.circle {
  display: grid;
  place-content: center;
  width: 34px;
  height: 34px;
  border: 2px solid;
  box-sizing: border-box;
  border-radius: 30px;

  &:not(:last-of-type) {
    margin-right: 6px;
  }

  &-rss {
    border-color: #F8902E;
  }

  &-fb {
    border-color: #39599F;
  }

  &-tw {
    border-color: #45B0E3;
  }

  &-dribble {
    border-color: #D97AB0;
  }

  &-pinterest {
    border-color: #CC212C;
  }
}

.social-icon {
  height: 12px;
}

@media screen and (max-width: $small) {
  .footer__text {
    height: 52px;
    overflow: hidden;
    text-overflow: clip;
  }

  .social-icons {
    margin: 25px auto;
  }
}